
#include "script.h"
#include "language.h"
#include "def.h"

SCRIPT_FILE *Language_File = (SCRIPT_FILE *)0;

BOOL Language_Load(const char *file)
{
  if(Language_File) Script_Free(Language_File);
  Language_File = Script_Load(file);
  return (Language_File ? TRUE : FALSE);
}

void Language_Free(void)
{
  if(Language_File) { Script_Free(Language_File); Language_File = (SCRIPT_FILE *)0; }
}
